Skip to content

Anonymous Chat Feedbacks

Operations Summary

Method Endpoint Description
GET /api/anonymous-chat-feedbacks/ List Anonymous Chat Feedbacks
GET /api/anonymous-chat-feedbacks/{interaction_uuid}/ Retrieve

List Anonymous Chat Feedbacks

1
2
3
4
http \
  GET \
  https://api.example.com/api/anonymous-chat-feedbacks/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.anonymous_chat_feedback_o_enum import AnonymousChatFeedbackOEnum # (1)
from waldur_api_client.api.anonymous_chat_feedbacks import anonymous_chat_feedbacks_list # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = anonymous_chat_feedbacks_list.sync(client=client)

for item in response:
    print(item)
  1. Model Source: AnonymousChatFeedbackOEnum
  2. API Source: anonymous_chat_feedbacks_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { anonymousChatFeedbacksList } from 'waldur-js-client';

try {
  const response = await anonymousChatFeedbacksList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
category string
has_comment boolean
o array Ordering

page integer A page number within the paginated result set.
page_size integer Number of results to return per page.
score integer
submitted_from string (date)
submitted_to string (date)

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
interaction_uuid string (uuid)
score integer
comment string
category any
submitted_from_ip any An IPv4 or IPv6 address.
submitted_at string (date-time)
llm_resolution_score integer
llm_intent_category string
llm_hallucination_detected boolean
llm_hallucination_details string
llm_summary string
llm_reviewed_at string (date-time)
llm_judge_input_tokens integer
llm_judge_output_tokens integer
llm_judge_model string
modified_at string (date-time)

Retrieve

1
2
3
4
http \
  GET \
  https://api.example.com/api/anonymous-chat-feedbacks/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.anonymous_chat_feedbacks import anonymous_chat_feedbacks_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = anonymous_chat_feedbacks_retrieve.sync(
    interaction_uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: anonymous_chat_feedbacks_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { anonymousChatFeedbacksRetrieve } from 'waldur-js-client';

try {
  const response = await anonymousChatFeedbacksRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "interaction_uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
interaction_uuid string (uuid)

200 -

Field Type Description
interaction_uuid string (uuid)
score integer
comment string
category any
submitted_from_ip any An IPv4 or IPv6 address.
submitted_at string (date-time)
llm_resolution_score integer
llm_intent_category string
llm_hallucination_detected boolean
llm_hallucination_details string
llm_summary string
llm_reviewed_at string (date-time)
llm_judge_input_tokens integer
llm_judge_output_tokens integer
llm_judge_model string
modified_at string (date-time)